
#form_board_creation {
    display: flex;
    flex-flow: column nowrap;
}

#board_name_field {
    display: flex;
    flex-flow: column nowrap;
}

#board_public_field {
    display: flex;
    flex-flow: row nowrap;
    align-items: center;
}

/* Column list */

#board_column_list {
    padding: 0;
    margin: 0;
    margin-bottom: 4mm;
    list-style-type: none;
}

.board_column_list_item {
    display: flex;
    flex-flow: row;
    align-items: center;

    border: solid 1px #0003;
    border-radius: 2mm;
    box-shadow: 0 1pt 2pt #0003;

    background-color: white;
    padding: 2mm;
    padding-left: 4mm;
    margin-bottom: 3mm;
}

.board_column_list_item:not(.mandatory) {
    cursor: move;
}

#board_column_list.dragging .board_column_list_item:not(.mandatory) * {
    /* so that a drag-n-drop isn't interrupted by hovering on a child */
    pointer-events: none;
}

.board_column_list_item.dragged {
    opacity: 0.5;
}

.board_column_list_item.dragover:not(.dragged) {
    background-color: var(--highlight-background);
}

.board_column_list_item .drag_handle {
    font-size: 7mm;
    text-align: center;
    margin-right: 2mm;
    padding: 0;
}

.board_column_list_item .lock_icon,
.board_column_list_item .delete_icon {
    font-size: 7mm;
    margin-right: 2mm;
}

.board_column_list_item .delete_icon {
    cursor: pointer;
}

.board_column_list_item .column_name {
    margin: 0;
    margin-right: 2mm;
    flex: 1;
    padding: 1.5mm 0;
    border: none;
    border-top: solid 2px transparent;
    border-bottom: solid 2px transparent;
    font-size: 1.3em;
    font-family: inherit;
    color: #000c;

    overflow-x: auto;
}

.board_column_list_item input.column_name {
    border-bottom-color: var(--clickable-text);
    background-color: transparent;
}

/* Subscription list */

#board_sub_list {
    padding: 0;
    margin: -1.5mm;
    margin-bottom: 2.5mm;
    list-style-type: none;

    display: flex;
    flex-flow: row wrap;

}

.board_sub_list_item {
    flex: 4cm 1 1;
    border: solid 1px #0003;
    border-radius: 2mm;
    box-shadow: 0 1pt 2pt #0003;

    background-color: white;
    padding: 2mm;
    padding-left: 4mm;
    margin: 1.5mm;

    display: grid;
    grid-template-areas:
        "name delete"
        "rank delete";
    grid-template-columns: 1fr auto;
    grid-template-rows: 1fr auto;
    grid-gap: 1mm;
}

.board_sub_list_item .sub_name {
    grid-area: name;
}

.board_sub_list_item .sub_rank {
    grid-area: rank;
    font-weight: bold;
    color: #0008;
    font-size: 0.8em;
}

.board_sub_list_item .delete_icon {
    align-self: center;
    margin-right: 2mm;
    grid-area: delete;
    font-size: 7mm;
    cursor: pointer;
}

/* subscription search */

#board_sub_search_bar {
    border: solid 1px var(--clickable-text);
    border-radius: 6mm;
    padding: 1mm 3mm;
    margin-bottom: 3mm;

    background-repeat: no-repeat;
    background-size: contain;
    background-position: right;
}

#board_sub_search_bar.loading {
    background-image: url("../img/loading.svg");
}

#board_sub_search_result {
    background-color: white;
    border: solid 1px #0003;
    border-radius: 2mm;
    box-shadow: 0 1pt 2pt #0003;


    margin: 0;
    margin-bottom: 4mm;
    list-style: none;
    padding: 0 3mm;
}

#board_sub_search_result li {
    padding: 2mm 4mm;
    display: flex;
    flex-flow: row wrap;
    align-items: baseline;
}

#board_sub_search_result li .name {
    flex: 1;
}

#board_sub_search_result li:not(:last-child) {
    border-bottom: solid 1px #0004;
}
